<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: BiosPrivacyPermissionResult Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d8/d6b/class_bios_privacy_permission_result.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-static-methods">Static Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">BiosPrivacyPermissionResult Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a class="el" href="../../d8/d6b/class_bios_privacy_permission_result.html" title="BiosPrivacyPermissionResult represents the per permission result of the GetPermissionsAsync reqeust.">BiosPrivacyPermissionResult</a> represents the per permission result of the GetPermissionsAsync reqeust.  
 <a href="../../d8/d6b/class_bios_privacy_permission_result.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-methods" name="pri-static-methods"></a>
Static Private Member Functions</h2></td></tr>
<tr class="memitem:a29166d446768f6b80d71235d4688bcb6"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6b/class_bios_privacy_permission_result.html#a29166d446768f6b80d71235d4688bcb6">Compare</a> (<a class="el" href="../../d8/d6b/class_bios_privacy_permission_result.html">BiosPrivacyPermissionResult</a> a, <a class="el" href="../../d8/d6b/class_bios_privacy_permission_result.html">BiosPrivacyPermissionResult</a> b)</td></tr>
<tr class="separator:a29166d446768f6b80d71235d4688bcb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a459b062c0f332bf961ac6b707f960b16"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/d74/_bios_privacy_service_8c.html#a4c78f4ecb246c3812488500c977b330c">EBiosPrivacyPermission</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6b/class_bios_privacy_permission_result.html#a459b062c0f332bf961ac6b707f960b16">m_Permission</a></td></tr>
<tr class="memdesc:a459b062c0f332bf961ac6b707f960b16"><td class="mdescLeft">&#160;</td><td class="mdescRight">The reqeusted permission.  <a href="../../d8/d6b/class_bios_privacy_permission_result.html#a459b062c0f332bf961ac6b707f960b16">More...</a><br /></td></tr>
<tr class="separator:a459b062c0f332bf961ac6b707f960b16"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af786948bfe437fa8bf7996efd00de041"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6b/class_bios_privacy_permission_result.html#af786948bfe437fa8bf7996efd00de041">m_IsAllowed</a></td></tr>
<tr class="memdesc:af786948bfe437fa8bf7996efd00de041"><td class="mdescLeft">&#160;</td><td class="mdescRight">Result.  <a href="../../d8/d6b/class_bios_privacy_permission_result.html#af786948bfe437fa8bf7996efd00de041">More...</a><br /></td></tr>
<tr class="separator:af786948bfe437fa8bf7996efd00de041"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../d8/d6b/class_bios_privacy_permission_result.html" title="BiosPrivacyPermissionResult represents the per permission result of the GetPermissionsAsync reqeust.">BiosPrivacyPermissionResult</a> represents the per permission result of the GetPermissionsAsync reqeust. </p>

<p class="definition">Definition at line <a class="el" href="../../d5/d74/_bios_privacy_service_8c_source.html#l00027">27</a> of file <a class="el" href="../../d5/d74/_bios_privacy_service_8c_source.html">BiosPrivacyService.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a29166d446768f6b80d71235d4688bcb6" name="a29166d446768f6b80d71235d4688bcb6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29166d446768f6b80d71235d4688bcb6">&#9670;&#160;</a></span>Compare()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d9/db9/classbool.html">bool</a> BiosPrivacyPermissionResult::Compare </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d6b/class_bios_privacy_permission_result.html">BiosPrivacyPermissionResult</a>&#160;</td>
          <td class="paramname"><em>a</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d8/d6b/class_bios_privacy_permission_result.html">BiosPrivacyPermissionResult</a>&#160;</td>
          <td class="paramname"><em>b</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d74/_bios_privacy_service_8c_source.html#l00032">32</a> of file <a class="el" href="../../d5/d74/_bios_privacy_service_8c_source.html">BiosPrivacyService.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="af786948bfe437fa8bf7996efd00de041" name="af786948bfe437fa8bf7996efd00de041"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af786948bfe437fa8bf7996efd00de041">&#9670;&#160;</a></span>m_IsAllowed</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> BiosPrivacyPermissionResult::m_IsAllowed</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Result. </p>

<p class="definition">Definition at line <a class="el" href="../../d5/d74/_bios_privacy_service_8c_source.html#l00030">30</a> of file <a class="el" href="../../d5/d74/_bios_privacy_service_8c_source.html">BiosPrivacyService.c</a>.</p>

</div>
</div>
<a id="a459b062c0f332bf961ac6b707f960b16" name="a459b062c0f332bf961ac6b707f960b16"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a459b062c0f332bf961ac6b707f960b16">&#9670;&#160;</a></span>m_Permission</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/d74/_bios_privacy_service_8c.html#a4c78f4ecb246c3812488500c977b330c">EBiosPrivacyPermission</a> BiosPrivacyPermissionResult::m_Permission</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The reqeusted permission. </p>

<p class="definition">Definition at line <a class="el" href="../../d5/d74/_bios_privacy_service_8c_source.html#l00029">29</a> of file <a class="el" href="../../d5/d74/_bios_privacy_service_8c_source.html">BiosPrivacyService.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/Services/<a class="el" href="../../d5/d74/_bios_privacy_service_8c_source.html">BiosPrivacyService.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d8/d6b/class_bios_privacy_permission_result.html">BiosPrivacyPermissionResult</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
